Luminous git-master

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Files Functions Variables
Class List
Here are the classes, structs, unions and interfaces with brief descriptions:

luminous | Users' API
LuminousEmbeddedWebScript | Superclass for languages which may nest, i.e. web languages
LuminousFilters | A collection of useful common filters
LuminousOptions | Options class
LuminousScanner | Base class for all scanners
LuminousSimpleScanner | A largely automated scanner
LuminousStatefulScanner | Experimental transition table driven scanner
LuminousStringSearch | A basic preg_match wrapper which caches its results
LuminousTokenPresets | A set of pre-defined patterns to match various common tokens
LuminousUtils | A set of utility functions for scanners
Scanner | Base string scanning class